Get snapshot schedule for virtual servers

Retrieve the automatic snapshot schedule for a specific virtual server (VM). This allows you to see when and how often snapshots are taken for your server.

VPS Services Snapshots

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.limits object required
data.limits.totalSnapshots integer required · Example: 1
data.schedule object · nullable required

Nullable: may be null when not applicable.

data.schedule.account_id string required · Example: 20000
data.schedule.client_id string required · Example: 30000
data.schedule.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.schedule.enabled boolean required · Example: false
data.schedule.id string required · Example: 3
data.schedule.interval_hours integer required · Example: 4
data.schedule.last_run string · nullable required · Example: null

Nullable: may be null when not applicable.

data.schedule.next_run string · nullable required · Example: null

Nullable: may be null when not applicable.

data.schedule.retention_days integer required · Example: 1
data.schedule.updated_at string required · Example: 2026-02-10T00:00:00.000Z
data.schedule.vm_id string required · Example: 10000
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/snapshot-schedules
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/snapshot-schedules" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "schedule": null,
    "limits": {
      "totalSnapshots": 1
    }
  }
}